summaryrefslogtreecommitdiff
path: root/linuxthreads/tst-tls2.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2003-09-02 00:33:28 +0000
committerUlrich Drepper <drepper@redhat.com>2003-09-02 00:33:28 +0000
commitc874a32e887dd78c1480dcb32052f708dcd5c1e8 (patch)
treeeb7b699b55229d28ae4c15d60981dd0cfbe0c013 /linuxthreads/tst-tls2.sh
parente3a88560b94668a5b4de5ca7161f3aea5f02e496 (diff)
Update.
2003-09-01 Jakub Jelinek <jakub@redhat.com> * Makefile (tests): Add tst-tls1. (module-names): Add tst-tls1mod{,a,b,c,d,e,f}. ($(objpfx)tst-tls1mod{,a,b,c,d,e,f}.so-no-z-defs): Set to yes. ($(objpfx)tst-tls1): New. ($(objpfx)tst-tls2.out): Likewise. (tests): Depend on $(objpfx)tst-tls2.out. * tst-tls1.c: New test. * tst-tls1.h: New. * tst-tls1mod.c: New. * tst-tls1moda.c: New. * tst-tls1modb.c: New. * tst-tls1modc.c: New. * tst-tls1modd.c: New. * tst-tls1mode.c: New. * tst-tls1modf.c: New. * tst-tls2.sh: New test.
Diffstat (limited to 'linuxthreads/tst-tls2.sh')
-rw-r--r--linuxthreads/tst-tls2.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/linuxthreads/tst-tls2.sh b/linuxthreads/tst-tls2.sh
new file mode 100644
index 0000000000..0d13963d5e
--- /dev/null
+++ b/linuxthreads/tst-tls2.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+common_objpfx=$1; shift
+elf_objpfx=$1; shift
+rtld_installed_name=$1; shift
+logfile=$common_objpfx/linuxthreads/tst-tls2.out
+
+# We have to find libc and linuxthreads
+library_path=${common_objpfx}:${common_objpfx}linuxthreads
+tst_tls1="${elf_objpfx}${rtld_installed_name} --library-path ${library_path} \
+ ${common_objpfx}/linuxthreads/tst-tls1"
+
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+> $logfile
+fail=0
+
+for aligned in a e f; do
+ echo "preload tst-tls1mod{$aligned,b,c,d}.so" >> $logfile
+ echo "===============" >> $logfile
+ LD_PRELOAD=`echo ${common_objpfx}linuxthreads/tst-tls1mod{$aligned,b,c,d}.so \
+ | sed 's/:$//;s/: /:/g'` ${tst_tls1} >> $logfile || fail=1
+ echo >> $logfile
+
+ echo "preload tst-tls1mod{b,$aligned,c,d}.so" >> $logfile
+ echo "===============" >> $logfile
+ LD_PRELOAD=`echo ${common_objpfx}linuxthreads/tst-tls1mod{b,$aligned,c,d}.so \
+ | sed 's/:$//;s/: /:/g'` ${tst_tls1} >> $logfile || fail=1
+ echo >> $logfile
+
+ echo "preload tst-tls1mod{b,c,d,$aligned}.so" >> $logfile
+ echo "===============" >> $logfile
+ LD_PRELOAD=`echo ${common_objpfx}linuxthreads/tst-tls1mod{b,c,d,$aligned}.so \
+ | sed 's/:$//;s/: /:/g'` ${tst_tls1} >> $logfile || fail=1
+ echo >> $logfile
+done
+
+echo "preload tst-tls1mod{d,a,b,c,e}" >> $logfile
+echo "===============" >> $logfile
+LD_PRELOAD=`echo ${common_objpfx}linuxthreads/tst-tls1mod{d,a,b,c,e}.so \
+ | sed 's/:$//;s/: /:/g'` ${tst_tls1} >> $logfile || fail=1
+echo >> $logfile
+
+echo "preload tst-tls1mod{d,a,b,e,f}" >> $logfile
+echo "===============" >> $logfile
+LD_PRELOAD=`echo ${common_objpfx}linuxthreads/tst-tls1mod{d,a,b,e,f}.so \
+ | sed 's/:$//;s/: /:/g'` ${tst_tls1} >> $logfile || fail=1
+echo >> $logfile
+
+exit $fail